Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class AVT

    java.lang.Object
      |
      +--org.apache.xalan.xslt.AVT

public class AVT
extends java.lang.Object
implements java.io.Serializable

**For advanced use only** Class to hold an Attribute Value Template.

See Also:
  Serialized Form

Constructor Summary
`AVT(java.lang.String name, java.lang.String type, java.lang.String stringedValue, PrefixResolver namespaceContext, Stylesheet stylesheet, XSLTEngineImpl execContext)` **For advanced use only** Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

Method Summary
`java.lang.String` | `evaluate(XPathSupport execContext, org.w3c.dom.Node context, PrefixResolver nsNode, java.lang.StringBuffer buf)` **For advanced use only** Evaluate the AVT and return a String.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVT

    public AVT(java.lang.String name,
               java.lang.String type,
               java.lang.String stringedValue,
               PrefixResolver namespaceContext,
               Stylesheet stylesheet,
               XSLTEngineImpl execContext)
        throws org.xml.sax.SAXException

  **For advanced use only** Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

Method Detail

### evaluate

    public java.lang.String evaluate(XPathSupport execContext,
                                     org.w3c.dom.Node context,
                                     PrefixResolver nsNode,
                                     java.lang.StringBuffer buf)
                              throws org.xml.sax.SAXException

  **For advanced use only** Evaluate the AVT and return a String.
  Parameters:
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.